Page MenuHomePhabricator

Enable Content and Section Translation for Korean Wikipedia
Closed, ResolvedPublic1 Estimated Story Points

Description

Content Translation has been used to translate more than a million articles across all languages. Content Translation is provided by default in 92 language Wikipedias, and Section Translation is available in 18 wikis.

Given the editor activity on Korean Wikipedia and the mobile usage we consider that they could benefit from having both Content and Section Translation enabled by default. As part of this process, we want to learn from the Korean editing community how well those tools suit their needs and identify potential improvements. We'll communicate with the editing community and only proceed with the enablement if there is no major concern.

Steps:

Event Timeline

santhosh set the point value for this task to 1.Apr 5 2022, 6:01 AM
Snaevar subscribed.

Communication needs to be redone. Since you are going to request permission, the requests UOzurumba has done for this task are done on Village pumps, not user pages. See: wikitech:Wikimedia site requests and meta:Requesting wiki configuration changes.

UOzurumba changed the task status from Open to In Progress.Apr 21 2022, 6:49 PM
UOzurumba updated the task description. (Show Details)
UOzurumba set Due Date to May 6 2022, 6:00 AM.
KartikMistry updated Other Assignee, added: UOzurumba.

Change 790718 had a related patch set uploaded (by KartikMistry; author: KartikMistry):

[mediawiki/services/cxserver@master] Add Template Parameter Alignment for Korean and Turkish

https://gerrit.wikimedia.org/r/790718

Change 790718 merged by jenkins-bot:

[mediawiki/services/cxserver@master] Add Template Parameter Alignment for Korean and Turkish

https://gerrit.wikimedia.org/r/790718

Change 791052 had a related patch set uploaded (by KartikMistry; author: KartikMistry):

[operations/deployment-charts@master] Update cxserver to 2022-05-11-135122-production

https://gerrit.wikimedia.org/r/791052

Change 791107 had a related patch set uploaded (by KartikMistry; author: KartikMistry):

[operations/mediawiki-config@master] Enable Section Translation in cs, el, he, ko, sw and tr WPs

https://gerrit.wikimedia.org/r/791107

Change 791052 merged by jenkins-bot:

[operations/deployment-charts@master] Update cxserver to 2022-05-11-135122-production

https://gerrit.wikimedia.org/r/791052

Change 791107 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable Section Translation in cs, el, he, ko, sw and tr WPs

https://gerrit.wikimedia.org/r/791107

Reopening since Content Translation seems to still be in beta on Korean Wikipedia. Making it available by default as the ticket proposes seems to be still pending.

Change 793444 had a related patch set uploaded (by KartikMistry; author: KartikMistry):

[operations/mediawiki-config@master] Enable ContentTranslation as default for cs, el, he, ko and tr WPs

https://gerrit.wikimedia.org/r/793444

Change 793444 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable ContentTranslation as default for cs, el, he, ko and tr WPs

https://gerrit.wikimedia.org/r/793444

Mentioned in SAL (#wikimedia-operations) [2022-05-23T07:09:57Z] <kartik@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:793444|Enable ContentTranslation as default for cs, el, he, ko and tr WPs (T298239 T304853 T304854 T304855 T304863)]] (duration: 00m 50s)